// BitMapLoader.h contains the class where the bmp is stored.

#if !defined(BITMAPLOADER_H_)
#define BITMAPLOADER_H_

class BMPLoader{
    private:
    unsigned int stored;
    unsigned char *identifier;
    unsigned int fileSize;
    unsigned int reserved;
    unsigned int bitmapDataOffset;
    unsigned int bitmapHeaderSize;
    unsigned int width;
    unsigned int height;
    unsigned int planes;
    unsigned int bitsPerPixel;
    unsigned int compression;
    unsigned int bitmapDataSize;
    unsigned int hResolution;
    unsigned int vResolution;
    unsigned int colors;
    unsigned int importantColors;
    unsigned char *palette;
    unsigned char *bitmapData;
    unsigned char *fileData;
    public:
    BMPLoader();
    ~BMPLoader();
    int load(char* filename);              //master load function
    int gatherData(char* filename);        //loads all the file data into memory
    int processHeader();                   //sifts through the data to place it in its place
    int getSizeX();
    int getSizeY();
    unsigned char* getBitmapData();
    int isStored();
    };





#endif //!defined(BITMAPLOADER_H_)